Create a new Dependent
curl --request POST \
--url https://fulfillment.noyo.com/api/v1/employees/{employee_id}/dependents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"person": {
"contact": {
"email_address": "jamie@testemail.com",
"email_address_type": "home",
"home_phone": "+12065551234"
},
"date_of_birth": "2000-01-02",
"first_name": "Jamie",
"home_address": {
"city": "San Francisco",
"county": "San Francisco",
"state": "CA",
"street_one": "1234 Home Ave",
"zip_code": "94107"
},
"last_name": "Johnson",
"marital_status": "single",
"sex": "F",
"ssn": "384032999"
},
"relationship": "child"
}
'import requests
url = "https://fulfillment.noyo.com/api/v1/employees/{employee_id}/dependents"
payload = {
"person": {
"contact": {
"email_address": "jamie@testemail.com",
"email_address_type": "home",
"home_phone": "+12065551234"
},
"date_of_birth": "2000-01-02",
"first_name": "Jamie",
"home_address": {
"city": "San Francisco",
"county": "San Francisco",
"state": "CA",
"street_one": "1234 Home Ave",
"zip_code": "94107"
},
"last_name": "Johnson",
"marital_status": "single",
"sex": "F",
"ssn": "384032999"
},
"relationship": "child"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
person: {
contact: {
email_address: 'jamie@testemail.com',
email_address_type: 'home',
home_phone: '+12065551234'
},
date_of_birth: '2000-01-02',
first_name: 'Jamie',
home_address: {
city: 'San Francisco',
county: 'San Francisco',
state: 'CA',
street_one: '1234 Home Ave',
zip_code: '94107'
},
last_name: 'Johnson',
marital_status: 'single',
sex: 'F',
ssn: '384032999'
},
relationship: 'child'
})
};
fetch('https://fulfillment.noyo.com/api/v1/employees/{employee_id}/dependents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://fulfillment.noyo.com/api/v1/employees/{employee_id}/dependents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'person' => [
'contact' => [
'email_address' => 'jamie@testemail.com',
'email_address_type' => 'home',
'home_phone' => '+12065551234'
],
'date_of_birth' => '2000-01-02',
'first_name' => 'Jamie',
'home_address' => [
'city' => 'San Francisco',
'county' => 'San Francisco',
'state' => 'CA',
'street_one' => '1234 Home Ave',
'zip_code' => '94107'
],
'last_name' => 'Johnson',
'marital_status' => 'single',
'sex' => 'F',
'ssn' => '384032999'
],
'relationship' => 'child'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://fulfillment.noyo.com/api/v1/employees/{employee_id}/dependents"
payload := strings.NewReader("{\n \"person\": {\n \"contact\": {\n \"email_address\": \"jamie@testemail.com\",\n \"email_address_type\": \"home\",\n \"home_phone\": \"+12065551234\"\n },\n \"date_of_birth\": \"2000-01-02\",\n \"first_name\": \"Jamie\",\n \"home_address\": {\n \"city\": \"San Francisco\",\n \"county\": \"San Francisco\",\n \"state\": \"CA\",\n \"street_one\": \"1234 Home Ave\",\n \"zip_code\": \"94107\"\n },\n \"last_name\": \"Johnson\",\n \"marital_status\": \"single\",\n \"sex\": \"F\",\n \"ssn\": \"384032999\"\n },\n \"relationship\": \"child\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://fulfillment.noyo.com/api/v1/employees/{employee_id}/dependents")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"person\": {\n \"contact\": {\n \"email_address\": \"jamie@testemail.com\",\n \"email_address_type\": \"home\",\n \"home_phone\": \"+12065551234\"\n },\n \"date_of_birth\": \"2000-01-02\",\n \"first_name\": \"Jamie\",\n \"home_address\": {\n \"city\": \"San Francisco\",\n \"county\": \"San Francisco\",\n \"state\": \"CA\",\n \"street_one\": \"1234 Home Ave\",\n \"zip_code\": \"94107\"\n },\n \"last_name\": \"Johnson\",\n \"marital_status\": \"single\",\n \"sex\": \"F\",\n \"ssn\": \"384032999\"\n },\n \"relationship\": \"child\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://fulfillment.noyo.com/api/v1/employees/{employee_id}/dependents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"person\": {\n \"contact\": {\n \"email_address\": \"jamie@testemail.com\",\n \"email_address_type\": \"home\",\n \"home_phone\": \"+12065551234\"\n },\n \"date_of_birth\": \"2000-01-02\",\n \"first_name\": \"Jamie\",\n \"home_address\": {\n \"city\": \"San Francisco\",\n \"county\": \"San Francisco\",\n \"state\": \"CA\",\n \"street_one\": \"1234 Home Ave\",\n \"zip_code\": \"94107\"\n },\n \"last_name\": \"Johnson\",\n \"marital_status\": \"single\",\n \"sex\": \"F\",\n \"ssn\": \"384032999\"\n },\n \"relationship\": \"child\"\n}"
response = http.request(request)
puts response.read_body{
"created": 1626281253,
"employee_id": "30b74a44-d5b1-4123-a7a4-6d3aec251ba4",
"id": "fd62665c-0846-4e9d-bd29-80779b5f685c",
"modified": 1626281253,
"person": {
"contact": {
"email_address": "jamie@testemail.com",
"email_address_type": "home",
"home_phone": "+12065551234"
},
"date_of_birth": "2000-01-02",
"first_name": "Jamie",
"home_address": {
"city": "San Francisco",
"county": "San Francisco",
"state": "CA",
"street_one": "1234 Home Ave",
"zip_code": "94107"
},
"last_name": "Johnson",
"marital_status": "single",
"sex": "F",
"ssn": "384032999"
},
"relationship": "child",
"version": "669fbe16-9960-4069-91aa-832ada3f4e42"
}Requests
Create a new Dependent
Create a new dependent for an employee.
POST
/
api
/
v1
/
employees
/
{employee_id}
/
dependents
Create a new Dependent
curl --request POST \
--url https://fulfillment.noyo.com/api/v1/employees/{employee_id}/dependents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"person": {
"contact": {
"email_address": "jamie@testemail.com",
"email_address_type": "home",
"home_phone": "+12065551234"
},
"date_of_birth": "2000-01-02",
"first_name": "Jamie",
"home_address": {
"city": "San Francisco",
"county": "San Francisco",
"state": "CA",
"street_one": "1234 Home Ave",
"zip_code": "94107"
},
"last_name": "Johnson",
"marital_status": "single",
"sex": "F",
"ssn": "384032999"
},
"relationship": "child"
}
'import requests
url = "https://fulfillment.noyo.com/api/v1/employees/{employee_id}/dependents"
payload = {
"person": {
"contact": {
"email_address": "jamie@testemail.com",
"email_address_type": "home",
"home_phone": "+12065551234"
},
"date_of_birth": "2000-01-02",
"first_name": "Jamie",
"home_address": {
"city": "San Francisco",
"county": "San Francisco",
"state": "CA",
"street_one": "1234 Home Ave",
"zip_code": "94107"
},
"last_name": "Johnson",
"marital_status": "single",
"sex": "F",
"ssn": "384032999"
},
"relationship": "child"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
person: {
contact: {
email_address: 'jamie@testemail.com',
email_address_type: 'home',
home_phone: '+12065551234'
},
date_of_birth: '2000-01-02',
first_name: 'Jamie',
home_address: {
city: 'San Francisco',
county: 'San Francisco',
state: 'CA',
street_one: '1234 Home Ave',
zip_code: '94107'
},
last_name: 'Johnson',
marital_status: 'single',
sex: 'F',
ssn: '384032999'
},
relationship: 'child'
})
};
fetch('https://fulfillment.noyo.com/api/v1/employees/{employee_id}/dependents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://fulfillment.noyo.com/api/v1/employees/{employee_id}/dependents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'person' => [
'contact' => [
'email_address' => 'jamie@testemail.com',
'email_address_type' => 'home',
'home_phone' => '+12065551234'
],
'date_of_birth' => '2000-01-02',
'first_name' => 'Jamie',
'home_address' => [
'city' => 'San Francisco',
'county' => 'San Francisco',
'state' => 'CA',
'street_one' => '1234 Home Ave',
'zip_code' => '94107'
],
'last_name' => 'Johnson',
'marital_status' => 'single',
'sex' => 'F',
'ssn' => '384032999'
],
'relationship' => 'child'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://fulfillment.noyo.com/api/v1/employees/{employee_id}/dependents"
payload := strings.NewReader("{\n \"person\": {\n \"contact\": {\n \"email_address\": \"jamie@testemail.com\",\n \"email_address_type\": \"home\",\n \"home_phone\": \"+12065551234\"\n },\n \"date_of_birth\": \"2000-01-02\",\n \"first_name\": \"Jamie\",\n \"home_address\": {\n \"city\": \"San Francisco\",\n \"county\": \"San Francisco\",\n \"state\": \"CA\",\n \"street_one\": \"1234 Home Ave\",\n \"zip_code\": \"94107\"\n },\n \"last_name\": \"Johnson\",\n \"marital_status\": \"single\",\n \"sex\": \"F\",\n \"ssn\": \"384032999\"\n },\n \"relationship\": \"child\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://fulfillment.noyo.com/api/v1/employees/{employee_id}/dependents")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"person\": {\n \"contact\": {\n \"email_address\": \"jamie@testemail.com\",\n \"email_address_type\": \"home\",\n \"home_phone\": \"+12065551234\"\n },\n \"date_of_birth\": \"2000-01-02\",\n \"first_name\": \"Jamie\",\n \"home_address\": {\n \"city\": \"San Francisco\",\n \"county\": \"San Francisco\",\n \"state\": \"CA\",\n \"street_one\": \"1234 Home Ave\",\n \"zip_code\": \"94107\"\n },\n \"last_name\": \"Johnson\",\n \"marital_status\": \"single\",\n \"sex\": \"F\",\n \"ssn\": \"384032999\"\n },\n \"relationship\": \"child\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://fulfillment.noyo.com/api/v1/employees/{employee_id}/dependents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"person\": {\n \"contact\": {\n \"email_address\": \"jamie@testemail.com\",\n \"email_address_type\": \"home\",\n \"home_phone\": \"+12065551234\"\n },\n \"date_of_birth\": \"2000-01-02\",\n \"first_name\": \"Jamie\",\n \"home_address\": {\n \"city\": \"San Francisco\",\n \"county\": \"San Francisco\",\n \"state\": \"CA\",\n \"street_one\": \"1234 Home Ave\",\n \"zip_code\": \"94107\"\n },\n \"last_name\": \"Johnson\",\n \"marital_status\": \"single\",\n \"sex\": \"F\",\n \"ssn\": \"384032999\"\n },\n \"relationship\": \"child\"\n}"
response = http.request(request)
puts response.read_body{
"created": 1626281253,
"employee_id": "30b74a44-d5b1-4123-a7a4-6d3aec251ba4",
"id": "fd62665c-0846-4e9d-bd29-80779b5f685c",
"modified": 1626281253,
"person": {
"contact": {
"email_address": "jamie@testemail.com",
"email_address_type": "home",
"home_phone": "+12065551234"
},
"date_of_birth": "2000-01-02",
"first_name": "Jamie",
"home_address": {
"city": "San Francisco",
"county": "San Francisco",
"state": "CA",
"street_one": "1234 Home Ave",
"zip_code": "94107"
},
"last_name": "Johnson",
"marital_status": "single",
"sex": "F",
"ssn": "384032999"
},
"relationship": "child",
"version": "669fbe16-9960-4069-91aa-832ada3f4e42"
}The Member Request workflow is now deprecated in favor of using Member
Snapshot
Authorizations
Path Parameters
Body
application/json
Response
201 - application/json
Successful Response - Returns the new Dependent
Was this page helpful?
